[rkward-cvs] SF.net SVN: rkward:[3518] trunk/rkward/rkward/rkward.sh.template

tfry at users.sourceforge.net tfry at users.sourceforge.net
Thu Apr 21 07:10:22 UTC 2011


Revision: 3518
          http://rkward.svn.sourceforge.net/rkward/?rev=3518&view=rev
Author:   tfry
Date:     2011-04-21 07:10:21 +0000 (Thu, 21 Apr 2011)

Log Message:
-----------
Define 'error' function before using it...

Modified Paths:
--------------
    trunk/rkward/rkward/rkward.sh.template

Modified: trunk/rkward/rkward/rkward.sh.template
===================================================================
--- trunk/rkward/rkward/rkward.sh.template	2011-04-20 08:28:00 UTC (rev 3517)
+++ trunk/rkward/rkward/rkward.sh.template	2011-04-21 07:10:21 UTC (rev 3518)
@@ -1,5 +1,9 @@
 #!/bin/sh
 # Shell wrapper for rkward executable.
+error () {
+  echo "ERROR: $*" >&2
+  exit 1
+}
 
 export R_binary="@R_EXECUTABLE@"
 
@@ -24,11 +28,6 @@
 
 # handle --debugger argument (if any)
 # the loop partially copied from the R wrapper script
-error () {
-  echo "ERROR: $*" >&2
-  exit 1
-}
-
 debugger=
 if [ "${1}" = "--debugger" ]; then
   shift


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.




More information about the rkward-tracker mailing list